import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Comment } from '../../models/comment.model';
import { BaseHttpService } from './base-http.service';
import { Environment } from '../../interfaces/environment.interface';
import { CacheService } from '../../services/cache/cache.service';
import { Activity } from '../../..';
export declare class CommentsHttpService extends BaseHttpService {
    protected environment: Environment;
    constructor(http: HttpClient, cache: CacheService, environment: Environment);
    /**
     * GET /comments/{commentable_type}/{commentable_id}/{?page}/{?perPage}
     *
     * Download Comments by type
     */
    type(commentableType: string, commentableId: number, page?: number, perPage?: number): Observable<Comment[]>;
    /**
     * GET /comments/latest/{?page}/{?perPage}
     */
    latest(page: number, perPage: number): Observable<Comment[]>;
    byActivity(activity: Activity): Observable<Comment[]>;
    upvote(comment: Comment): Observable<boolean>;
    downvote(comment: Comment): Observable<boolean>;
}
